<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>User profile form</title>
</head>
<body>

<div th:fragment="profileForm" th:with="isAdminPage=(${isAdminPage} ?: false)" th:remove="tag">
    <!--/*@thymesVar id="user" type="com.example.internetshop.models.domain.User"*/-->
    <div class="card mb-2">
        <div class="card-body">
            <h5 class="card-title">Profile</h5>
            <form th:action="@{/profile/update}" method="post" th:object="${user}">
                <input type="hidden" th:if="${isAdminPage}" name="isAdminPage" value="true">
                <input type="hidden" th:field="*{id}">
                <div th:replace="fragments/form_input
                :: formInput (field = 'username', value = *{username}, label = 'Username')"></div>
                <div th:replace="fragments/form_input
                :: formInput (field = 'firstName', value = *{firstName}, label = 'First name')"></div>
                <div th:replace="fragments/form_input
                :: formInput (field = 'lastName', value = *{lastName}, label = 'Last name')"></div>
                <div th:replace="fragments/form_input
                :: formInput (type = 'email', field = 'email', value = *{email}, label = 'Email')"></div>
                <div th:replace="fragments/form_input
                :: formInput (type = 'tel', field = 'phoneNumber', value = *{phoneNumber}, label = 'Phone number')"></div>
                <div th:replace="fragments/form_input
                :: formInput (field = 'address', value = *{address}, label = 'Address')"></div>
                <div class="form-group">
                    <button type="submit" class="btn btn-warning">Save</button>
                </div>
            </form>
        </div>
    </div>

    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Set new password</h5>
            <form th:action="@{/profile/update-password}" method="post">
                <input type="hidden" th:if="${isAdminPage}" name="isAdminPage" value="true">
                <input type="hidden" th:field="*{user.id}" th:id="${'password-form-id'}">
                <div th:replace="fragments/form_input
                :: formInput (type = 'password', field = 'password', value = null, label = 'Enter a new password')"></div>
                <div th:replace="fragments/form_input
                :: formInput (type = 'password', field = 'passwordConfirm', value = null, label = 'Confirm password')"></div>
                <div class="form-group">
                    <button type="submit" class="btn btn-warning">Set new password</button>
                </div>
            </form>
        </div>
    </div>
</div>

</body>
</html>